de.katho.kBorrow.listener

## Class TableButton

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - de.katho.kBorrow.listener.TableButton

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer

Direct Known Subclasses:
  ArticleDeleteTableButton, ArticleEditTableButton, ArticleInspectTableButton, LendingReturnTableButton, NewLendingTableButton, UserDeleteTableButton, UserEditTableButton

    public abstract class TableButton
    extends javax.swing.AbstractCellEditor
    implements javax.swing.table.TableCellRenderer, javax.swing.table.TableCellEditor

Diese Klasse erzeugt das Grundgerüst für alle TableButtons.

See Also:
  Serialized Form

### Field Summary

Fields
`protected javax.swing.JButton` `buttonE` Referenz auf den TableCellEditor-Button
`protected javax.swing.JButton` `buttonR` Referenz auf den TableCellRenderer-Button
`private java.lang.String` `label` Name des Buttons, dient als Tooltip
`private static long` `serialVersionUID` Serial Version UID

### Fields inherited from class javax.swing.AbstractCellEditor

`changeEvent, listenerList`

### Constructor Summary

Constructors
Constructor and Description
`TableButton(java.lang.String pLabel)` Erzeugt die nötigen Button-Objekte.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getCellEditorValue()` Gibt den Namen des Buttons als String zurück.
`java.awt.Component` `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Gibt den TableCellEditor-Button zurück.
`java.awt.Component` `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` Gibt den TableCellRenderer-Button zurück.

### Methods inherited from class javax.swing.AbstractCellEditor

`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.CellEditor

`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serial Version UID

See Also:
  Constant Field Values

#### label

    private java.lang.String label

Name des Buttons, dient als Tooltip

#### buttonR

    protected javax.swing.JButton buttonR

Referenz auf den TableCellRenderer-Button

#### buttonE

    protected javax.swing.JButton buttonE

Referenz auf den TableCellEditor-Button

### Constructor Detail

#### TableButton

    public TableButton(java.lang.String pLabel)

Erzeugt die nötigen Button-Objekte.

Parameters:
  `pLabel` - Name des Buttons als String, dient als Tooltip.

### Method Detail

#### getCellEditorValue

    public java.lang.Object getCellEditorValue()

Gibt den Namen des Buttons als String zurück.

Specified by:
  `getCellEditorValue` in interface `javax.swing.CellEditor`
Returns:
  Name des Buttons als String.

#### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

Gibt den TableCellEditor-Button zurück.

Specified by:
  `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
Returns:
  Gibt den TableCellEditor-Button zurück.

#### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

Gibt den TableCellRenderer-Button zurück.

Specified by:
  `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
Returns:
  Gibt den TableCellRenderer-Button zurück.